unit uHTTP_ConnectionParams_TPS_ChunkUploader;
{<defining of the connection params}

interface

uses
  System.SysUtils, System.Classes;

type
  THTTP_ConnectionParams_TPS_ChunkUploader = class(TDataModule)
  private
    { Private declarations }

      FProtocol:string;
      FHost:string;
      FPort:string;
      FIDUser:string;
      FUser:string;

      FHTTPServerToRequest:string;



  public
    { Public declarations }

      constructor Create(AOwner: TComponent); override;

      property Protocol:string read FProtocol write FProtocol;
      property Host:string read FHost write FHost;
      property Port:string read FPort write FPort;
      property IDUser:string read FIDUser write FIDUser;
      property User:string read FUser write FUser;

      property HTTPServerToRequest:string
      read FHTTPServerToRequest write FHTTPServerToRequest;

      procedure DefineServerToRequest();


  end;


implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

uses uVisualFrame_TPS_ChunkUploader;
var VisualFrame_TPS_ChunkUploader:TVisualFrame_TPS_ChunkUploader;

{ THTTP_ConnectionParams_TPS_ChunkUploader }

constructor THTTP_ConnectionParams_TPS_ChunkUploader.Create(AOwner: TComponent);
begin
  inherited;

 if (AOwner is TVisualFrame_TPS_ChunkUploader) then
     VisualFrame_TPS_ChunkUploader:=(AOwner as TVisualFrame_TPS_ChunkUploader);


end;

procedure THTTP_ConnectionParams_TPS_ChunkUploader.DefineServerToRequest;
begin
//
FHTTPServerToRequest:= Protocol + '://' + Host + ':' + Port;

if Assigned(VisualFrame_TPS_ChunkUploader) then
VisualFrame_TPS_ChunkUploader.HTTPRequests.HTTPServerToRequest:=FHTTPServerToRequest;

end;

end.
